Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class CartesianCoordinateSystem

    java.lang.Object
      jcckit.plot.CartesianCoordinateSystem

All Implemented Interfaces:
  CoordinateSystem

public class CartesianCoordinateSystem
extends java.lang.Object
implements CoordinateSystem

A Cartesian coordinate system. One or both axes can be logarithmic.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `ORIGIN_KEY` Configuration parameter key.
`static java.lang.String` | `X_AXIS_KEY` Configuration parameter key.
`static java.lang.String` | `Y_AXIS_KEY` Configuration parameter key.

Constructor Summary
`CartesianCoordinateSystem(ConfigParameters config)` Creates an instance from the specified configuration parameters.
`CartesianCoordinateSystem(GraphPoint origin, AxisParameters xAxisParameters, AxisParameters yAxisParameters)` Creates an instance for the specified origin and parameters of both axes.

Method Summary
`ClippingShape` | `getClippingShape()` Returns the clipping rectangle of specified by the axis.
`Transformation` | `getTransformation()` Returns the transformation of data coordinates into the device-independent coordinates of the axis box.
`GraphicalElement` | `getView()` Returns the graphical representation of the coordinate system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORIGIN_KEY

    public static final java.lang.String ORIGIN_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### X_AXIS_KEY

    public static final java.lang.String X_AXIS_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

### Y_AXIS_KEY

    public static final java.lang.String Y_AXIS_KEY

  Configuration parameter key.

  See Also:
    Constant Field Values

Constructor Detail

### CartesianCoordinateSystem

    public CartesianCoordinateSystem(ConfigParameters config)

  Creates an instance from the specified configuration parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `origin = 0.15, 0.1` | `double[]` | no | Position (in device-independent coordinates) of the lower-left corner of the axis box.
  `xAxis` | `ConfigParameters` | no | Parameters defining the x-axis. For definitions and default values see `AxisParameters.createXAxis()`.
  `yAxis` | `ConfigParameters` | no | Parameters defining the y-axis. For definitions and default values see `AxisParameters.createYAxis()`.

### CartesianCoordinateSystem

    public CartesianCoordinateSystem(GraphPoint origin,
                                     AxisParameters xAxisParameters,
                                     AxisParameters yAxisParameters)

  Creates an instance for the specified origin and parameters of both axes.

Parameters:
  `origin` - Position (in device-independent coordinates) of the lower-left corner of the axis box.
  `xAxisParameters` - Parameters of the x-axis.
  `yAxisParameters` - Parameters of the y-axis.

Method Detail

### getView

    public GraphicalElement getView()

  Returns the graphical representation of the coordinate system. In each call the same instance is returned.

  Specified by:
    `getView` in interface `CoordinateSystem`

### getClippingShape

    public ClippingShape getClippingShape()

  Returns the clipping rectangle of specified by the axis. In each call the same instance is returned.

  Specified by:
    `getClippingShape` in interface `CoordinateSystem`

### getTransformation

    public Transformation getTransformation()

  Returns the transformation of data coordinates into the device-independent coordinates of the axis box. In each call the same instance is returned.

  Specified by:
    `getTransformation` in interface `CoordinateSystem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD